import { EmblaOptionsType } from "embla-carousel-vue";
import { UiCarouselProps } from './UiCarouselModel';
import { BreakpointKey } from "../config/responsiveConfig";
type OptionParam = {
    active?: boolean;
};
declare const _sfc_main: import("vue").DefineComponent<{
    perView: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    center: {
        type: BooleanConstructor;
        required: false;
    };
    gap: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    dragFree: {
        type: BooleanConstructor;
        required: false;
    };
    slidesToScroll: {
        type: NumberConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    autoplayDelay: {
        type: NumberConstructor;
        required: false;
    };
    vertical: {
        type: BooleanConstructor;
        required: false;
    };
    arrow: {
        type: BooleanConstructor;
        required: false;
    };
    dots: {
        type: BooleanConstructor;
        required: false;
    };
    counter: {
        type: BooleanConstructor;
        required: false;
    };
    startIndex: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    trimSnaps: {
        type: BooleanConstructor;
        required: false;
    };
    breakpoints: {
        type: null;
        required: false;
    };
    detectScrollable: {
        type: BooleanConstructor;
        required: false;
    };
    enableMouseDrag: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    autoHeight: {
        type: BooleanConstructor;
        required: false;
    };
}, {
    props: {
        perView: number | 'auto';
        loop?: boolean | undefined;
        center?: boolean | undefined;
        gap: string;
        dragFree?: boolean | undefined;
        slidesToScroll?: number | undefined;
        autoplay?: boolean | undefined;
        autoplayDelay?: number | undefined;
        vertical?: boolean | undefined;
        arrow?: boolean | undefined;
        dots?: boolean | undefined;
        counter?: boolean | undefined;
        startIndex: number;
        trimSnaps?: boolean | undefined;
        breakpoints?: {
            sm?: UiCarouselProps | undefined;
            md?: UiCarouselProps | undefined;
            lg?: UiCarouselProps | undefined;
            xl?: UiCarouselProps | undefined;
        } | undefined;
        detectScrollable?: boolean | undefined;
        enableMouseDrag: boolean;
        autoHeight?: boolean | undefined;
    };
    emit: (e: 'move', currentIndex: number, previousIndex: number) => void;
    screenSize: import("vue").ComputedRef<BreakpointKey>;
    option: (param?: OptionParam) => EmblaOptionsType;
    plugins: () => import("embla-carousel/components/Plugins").CreatePluginType<import("embla-carousel/components/Plugins").LoosePluginType, {}>[];
    style: import("vue").ComputedRef<{
        marginLeft: string;
        marginTop: string;
        flexDirection: string;
    }>;
    getResponsiveProp: (prop: keyof UiCarouselProps) => string | number | boolean | {
        sm?: UiCarouselProps | undefined;
        md?: UiCarouselProps | undefined;
        lg?: UiCarouselProps | undefined;
        xl?: UiCarouselProps | undefined;
    } | undefined;
    viewportNode: import("vue").Ref<HTMLElement | undefined>;
    carouselApi: import("vue").Ref<import("embla-carousel-vue").EmblaCarouselType | undefined>;
    carouselNode: import("vue").Ref<HTMLDivElement | undefined>;
    slidesLength: import("vue").Ref<any>;
    currentIndex: import("vue").Ref<any>;
    autoplayStatus: import("vue").Ref<"stop" | "play" | undefined>;
    startAutoplay: () => void;
    stopAutoplay: () => void;
    prev: () => void | undefined;
    next: () => void | undefined;
    scrollTo: (index: number, jump?: boolean) => void | undefined;
    reInit: (optionParam?: OptionParam) => void;
    observer: ResizeObserver;
    detectTextOverflow: (cb?: ((isTextOverflow: boolean) => void) | undefined) => void;
    isSwipeable: import("vue").Ref<boolean>;
    checkTextOverflow: (value: boolean) => boolean;
    activate: (active: boolean) => void | undefined;
    slotProps: {
        slidesLength: import("vue").Ref<any>;
        currentIndex: import("vue").Ref<any>;
        autoplayStatus: import("vue").Ref<"stop" | "play" | undefined>;
        startAutoplay: () => void;
        stopAutoplay: () => void;
        scrollTo: (index: number, jump?: boolean) => void | undefined;
        next: () => void | undefined;
        prev: () => void | undefined;
        reInit: (optionParam?: OptionParam) => void;
        activate: (active: boolean) => void | undefined;
    };
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "move"[], "move", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    perView: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    center: {
        type: BooleanConstructor;
        required: false;
    };
    gap: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    dragFree: {
        type: BooleanConstructor;
        required: false;
    };
    slidesToScroll: {
        type: NumberConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    autoplayDelay: {
        type: NumberConstructor;
        required: false;
    };
    vertical: {
        type: BooleanConstructor;
        required: false;
    };
    arrow: {
        type: BooleanConstructor;
        required: false;
    };
    dots: {
        type: BooleanConstructor;
        required: false;
    };
    counter: {
        type: BooleanConstructor;
        required: false;
    };
    startIndex: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    trimSnaps: {
        type: BooleanConstructor;
        required: false;
    };
    breakpoints: {
        type: null;
        required: false;
    };
    detectScrollable: {
        type: BooleanConstructor;
        required: false;
    };
    enableMouseDrag: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    autoHeight: {
        type: BooleanConstructor;
        required: false;
    };
}>> & {
    onMove?: ((...args: any[]) => any) | undefined;
}, {
    dots: boolean;
    vertical: boolean;
    perView: string | number;
    loop: boolean;
    center: boolean;
    gap: string;
    dragFree: boolean;
    autoplay: boolean;
    arrow: boolean;
    counter: boolean;
    startIndex: number;
    trimSnaps: boolean;
    detectScrollable: boolean;
    enableMouseDrag: boolean;
    autoHeight: boolean;
}>;
export default _sfc_main;
