/**
 * `func` 함수 호출 전에 LoadingOverlay 를 show() 하고,
 * 호출이 끝난 후(Promise 가 모두 resolve 된 후)에 hide() 한다.
 *
 * 만약 중첩되어 show() 된 경우, 마지막 hide() 시점에 실제로 hide 된다.
 *
 * `func` 함수는 async 함수이어야 한다. async 하지 않은 함수 호출에 LoadingOverlay 를 표시할 수는 없다.
 *
 * @param func 호출할 함수.
 */
export declare const withLoading: <T>(func: () => T) => Promise<T>;
/**
 * LoadingOverlay 를 표시한다.
 *
 * 대부분은 `withLoading()` 을 사용할 것이고, 이 함수를 사용하는 경우는 극히 드물 것이다.
 */
export declare const showLoading: () => void;
/**
 * LoadingOverlay 를 감춘다.
 *
 * 대부분은 `withLoading()` 을 사용할 것이고, 이 함수를 사용하는 경우는 극히 드물 것이다.
 */
export declare const hideLoading: () => void;
