import {browserSize} from "@/config/responsiveConfig"

let nextId = 0

const componentUtil = {

  /**
   * 화면이 SM 인데 placeholder 가 없는 경우, label 을 placeholder 로 리턴한다.
   * @param placeholder ui component 의 placeholder 속성
   * @param label ui component 의 label 속성
   */
  computeResponsivePlaceholder(placeholder?: string, label?: string): string {
    if (placeholder) {
      return placeholder
    } else if (label && browserSize.isSmall()) {
      return label
    } else {
      return ''
    }
  },

  handleExternalErrorMessage(showErrorMessage: boolean, errorMessage?: string, elementId?: string): void {
    if (elementId) {
      const el = document.getElementById(elementId)
      if (el) {
        if (!showErrorMessage || !errorMessage || errorMessage.length === 0) {
          el.style.display = 'none'
        } else {
          el.style.display = ''
          el.innerText = errorMessage || ''
        }
      }
    }
  },

  generateNextId(prefix: string): string {
    return `${prefix}-${++nextId}`
  }
}

export default componentUtil